TLogStat._Fields (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Enum TLogStat._Fields

- java.lang.Object
- - java.lang.Enum<TLogStat._Fields>
  - - com.sleepycat.thrift.TLogStat._Fields

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TLogStat._Fields>, org.apache.thrift.TFieldIdEnum
  Enclosing class:
    TLogStat

      public static enum TLogStat._Fields
      extends java.lang.Enum<TLogStat._Fields>
      implements org.apache.thrift.TFieldIdEnum

  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUR_FILE`
    `CUR_OFFSET`
    `DISK_FILE`
    `DISK_OFFSET`
    `FILEID_INIT`
    `LG_BSIZE`
    `LG_SIZE`
    `MAGIC`
    `MAX_COMMITPERFLUSH`
    `MAX_NFILE_ID`
    `MIN_COMMITPERFLUSH`
    `MODE`
    `NUM_FILE_ID`
    `RCOUNT`
    `RECORD`
    `REG_SIZE`
    `REGION_NOWAIT`
    `REGION_WAIT`
    `SCOUNT`
    `VERSION`
    `WBYTES`
    `WC_BYTES`
    `WC_MBYTES`
    `WCOUNT`
    `WCOUNT_FILL`
    `WMBYTES`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TLogStat._Fields` | `findByName(java.lang.String name)` Find the _Fields constant that matches name, or null if its not found.
    `static TLogStat._Fields` | `findByThriftId(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
    `static TLogStat._Fields` | `findByThriftIdOrThrow(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
    `java.lang.String` | `getFieldName()`
    `short` | `getThriftFieldId()`
    `static TLogStat._Fields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TLogStat._Fields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CUR_FILE

          public static final TLogStat._Fields CUR_FILE

    - #### CUR_OFFSET

          public static final TLogStat._Fields CUR_OFFSET

    - #### DISK_FILE

          public static final TLogStat._Fields DISK_FILE

    - #### DISK_OFFSET

          public static final TLogStat._Fields DISK_OFFSET

    - #### FILEID_INIT

          public static final TLogStat._Fields FILEID_INIT

    - #### LG_BSIZE

          public static final TLogStat._Fields LG_BSIZE

    - #### LG_SIZE

          public static final TLogStat._Fields LG_SIZE

    - #### MAGIC

          public static final TLogStat._Fields MAGIC

    - #### MAX_COMMITPERFLUSH

          public static final TLogStat._Fields MAX_COMMITPERFLUSH

    - #### MAX_NFILE_ID

          public static final TLogStat._Fields MAX_NFILE_ID

    - #### MIN_COMMITPERFLUSH

          public static final TLogStat._Fields MIN_COMMITPERFLUSH

    - #### MODE

          public static final TLogStat._Fields MODE

    - #### NUM_FILE_ID

          public static final TLogStat._Fields NUM_FILE_ID

    - #### RCOUNT

          public static final TLogStat._Fields RCOUNT

    - #### RECORD

          public static final TLogStat._Fields RECORD

    - #### REGION_NOWAIT

          public static final TLogStat._Fields REGION_NOWAIT

    - #### REGION_WAIT

          public static final TLogStat._Fields REGION_WAIT

    - #### REG_SIZE

          public static final TLogStat._Fields REG_SIZE

    - #### SCOUNT

          public static final TLogStat._Fields SCOUNT

    - #### VERSION

          public static final TLogStat._Fields VERSION

    - #### WBYTES

          public static final TLogStat._Fields WBYTES

    - #### WC_BYTES

          public static final TLogStat._Fields WC_BYTES

    - #### WC_MBYTES

          public static final TLogStat._Fields WC_MBYTES

    - #### WMBYTES

          public static final TLogStat._Fields WMBYTES

    - #### WCOUNT

          public static final TLogStat._Fields WCOUNT

    - #### WCOUNT_FILL

          public static final TLogStat._Fields WCOUNT_FILL

  - ### Method Detail

    - #### values

          public static TLogStat._Fields[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TLogStat._Fields c : TLogStat._Fields.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TLogStat._Fields valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### findByThriftId

          public static TLogStat._Fields findByThriftId(int fieldId)

      Find the _Fields constant that matches fieldId, or null if its not found.

    - #### findByThriftIdOrThrow

          public static TLogStat._Fields findByThriftIdOrThrow(int fieldId)

      Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

    - #### findByName

          public static TLogStat._Fields findByName(java.lang.String name)

      Find the _Fields constant that matches name, or null if its not found.

    - #### getThriftFieldId

          public short getThriftFieldId()

      Specified by:
        `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

    - #### getFieldName

          public java.lang.String getFieldName()

      Specified by:
        `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.